Bug 171523 - [PATCH] devel/boost-libs: Allow building using Clang, C++11 and libc++
Summary: [PATCH] devel/boost-libs: Allow building using Clang, C++11 and libc++
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Office Team (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-10 17:00 UTC by Michael Gmelin
Modified: 2013-04-20 23:02 UTC (History)
1 user (show)

See Also:


Attachments
boost-libs-1.48.0_2.patch (3.90 KB, patch)
2012-09-10 17:00 UTC, Michael Gmelin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Gmelin 2012-09-10 17:00:11 UTC
This brings in the following patches from upstream:

https://svn.boost.org/trac/boost/changeset/78286 (compile time)
https://svn.boost.org/trac/boost/changeset/79575 (compile time)
https://svn.boost.org/trac/boost/changeset/79732 (runtime)

Using these patches boost can be compiled and installed and at least one
obvious runtime error is corrected. There are more patches that could be
imported from upstream, but at this point it seems to make more sense to
wait for a new boost release.

Caveat: There are probably more compatibility issues in the boost sources,
which might surface at runtime, but at least the frequently used parts of
boost are made accessible to users of the new GNU free FreeBSD toolchain
this way.

I also did minor changes to the Makefile structure, so that
porttools/portlint won't abort with fatal errors.

Added file(s):
- files/patch-boost-xpressive-traits-cpp_regex_traits.hpp
- files/patch-libs-signals-src-named_slot_map.cpp
- files/patch-libs-xpressive-doc-acknowledgements.qbk

Port maintainer (churanov.port.maintainer@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: suffix)

Fix: Apply patches
How-To-Repeat: Build boost-libs on 9.1 RC1 using clang and libc++ 
(CXX=clang++ CXXFLAGS=-std=c++11 -stdlib=libc++)
Comment 1 Edwin Groothuis freebsd_committer 2012-09-10 17:00:31 UTC
Maintainer of devel/boost-libs,

Please note that PR ports/171523 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/171523

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-09-10 17:00:37 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Michael Gmelin 2012-12-26 20:01:22 UTC
Could you please give some feedback if you're interested in applying
any of those patches?

If not, please state so and close the PR, thanks.

-- 
Michael Gmelin
Comment 4 Baptiste Daroussin freebsd_committer 2013-02-02 17:42:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-office

Over to new maintainer, can you check with new boost?
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2013-03-10 02:05:41 UTC
Responsible Changed
From-To: freebsd-office->office

Canonicalize assignment.
Comment 6 Michael Gmelin 2013-04-20 21:55:31 UTC
devel/boost-libs has been updated to 1.52.0 which contains all the
patches, therefore this PR is obsolete now.


-- 
Michael Gmelin
Comment 7 Baptiste Daroussin freebsd_committer 2013-04-20 23:02:49 UTC
State Changed
From-To: feedback->closed

close per submitter request